pn_class_t Struct Reference

`#include <object.h>`

## Data Fields

const char * | name
const pn_cid_t | cid
void *(* | newinst )(const pn_class_t *, size_t)
void(* | initialize )(void *)
void(* | incref )(void *)
void(* | decref )(void *)
int(* | refcount )(void *)
void(* | finalize )(void *)
void(* | free )(void *)
const pn_class_t *(* | reify )(void *)
uintptr_t(* | hashcode )(void *)
intptr_t(* | compare )(void *, void *)
int(* | inspect )(void *, pn_string_t *)

## Field Documentation

## cid

const pn_cid_t pn_class_t::cid

## compare

intptr_t(* pn_class_t::compare) (void *, void *)

## decref

void(* pn_class_t::decref) (void *)

## finalize

void(* pn_class_t::finalize) (void *)

## free

void(* pn_class_t::free) (void *)

## hashcode

uintptr_t(* pn_class_t::hashcode) (void *)

## incref

void(* pn_class_t::incref) (void *)

## initialize

void(* pn_class_t::initialize) (void *)

## inspect

int(* pn_class_t::inspect) (void *, pn_string_t *)

## name

const char* pn_class_t::name

## newinst

void*(* pn_class_t::newinst) (const pn_class_t *, size_t)

## refcount

int(* pn_class_t::refcount) (void *)

## reify

const pn_class_t*(* pn_class_t::reify) (void *)

The documentation for this struct was generated from the following file:

- /build/qpid-proton-4llz2H/qpid-proton-0.14.0/proton-c/include/proton/object.h